Magick++ 7.1.0

Public Member Functions | List of all members
Magick::ImageStatistics Class Reference

`#include <Statistic.h>`

## Public Member Functions
| ImageStatistics (void)
| ImageStatistics (const ImageStatistics &imageStatistics_)
| ~ImageStatistics (void)
ChannelStatistics | channel (const PixelChannel channel_) const
| ImageStatistics (const Image &image_)

## Detailed Description

Definition at line 282 of file Statistic.h.

## Constructor & Destructor Documentation

## ◆ ImageStatistics() [1/3]

Magick::ImageStatistics::ImageStatistics | ( | void |  | ) |

Definition at line 604 of file Statistic.cpp.

## ◆ ImageStatistics() [2/3]

Magick::ImageStatistics::ImageStatistics | ( | const ImageStatistics & | imageStatistics_ | ) |

Definition at line 609 of file Statistic.cpp.

## ◆ ~ImageStatistics()

Magick::ImageStatistics::~ImageStatistics | ( | void |  | ) |

Definition at line 615 of file Statistic.cpp.

## ◆ ImageStatistics() [3/3]

Magick::ImageStatistics::ImageStatistics | ( | const Image & | image_ | ) |

Definition at line 631 of file Statistic.cpp.

References channel(), Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

## Member Function Documentation

## ◆ channel()

Magick::ChannelStatistics Magick::ImageStatistics::channel | ( | const PixelChannel | channel_ | ) | const

Definition at line 619 of file Statistic.cpp.

Referenced by ImageStatistics().

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp